Bug 120185 - Calc - the Borders icon and Border tools (lines) are no longer black
Summary: Calc - the Borders icon and Border tools (lines) are no longer black
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2018-09-28 17:01 UTC by Ron
Modified: 2018-12-04 15:08 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
see the screenshot (79.97 KB, image/jpeg)
2018-09-28 19:32 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ron 2018-09-28 17:01:13 UTC
Description:
In Calc when you select the Borders icon to add lines to a cell or cells. The options show in a faint orange lines instead of Black. Likewise if you select Format Cells and select Borders. Very difficult to see. LO version 6.1.2

Actual Results:
Please read Description above

Expected Results:
Expected to see Black lines in the Border toobar options



Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: en-CA (en_CA); Calc: group threaded
Comment 1 BogdanB 2018-09-28 19:30:55 UTC
Bibisected on linux 6.1

4b88d5ab1112b6780c148dedcbfd75696b369000 is the first bad commit
commit 4b88d5ab1112b6780c148dedcbfd75696b369000
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Mar 28 21:19:16 2018 +0200

    source sha:6d4bb4dd4ef425a429c929e7d953cf9b54a74576
    
    source sha:6d4bb4dd4ef425a429c929e7d953cf9b54a74576

:040000 040000 be7358ac899314d86970984dbeeea9e813442366 6ef33ab8ffd87ec623f9b6eb4819594b06c34e21 M	instdir
Comment 2 BogdanB 2018-09-28 19:32:39 UTC
Created attachment 145256 [details]
see the screenshot

screenshot of bug
Comment 3 raal 2018-10-01 12:26:30 UTC
Bisected in comment 1. Adding Cc: to heiko tietze; Could you possibly take a look at this one? Thanks


author	heiko tietze <tietze.heiko@gmail.com>	2018-03-27 16:42:21 +0200
committer	Heiko Tietze <tietze.heiko@gmail.com>	2018-03-28 18:29:39 +0200
commit	6d4bb4dd4ef425a429c929e7d953cf9b54a74576 (patch)
tree	80c2d53c65f00fc1f64af9d7c16a194cbb52be67
parent	f584f2515b744699a3b3a7e3f9e9927e86df4a5d (diff)
tdf#90194 - Make Colibre the new default in Windows
Comment 4 Heiko Tietze 2018-10-01 13:50:58 UTC
We changed our default icon theme and fallback strategy. Depending on your selection it just don't have the needed icons and takes what the new fallback provides - with inappropriate icons. 

Otherwise, if you just take the default it's up to the icon designer if orange or black is aesthetically better suited.
Comment 5 Roman Kuznetsov 2018-10-01 14:11:00 UTC
Ron, you can just use another icon set (for example Karasa Jaga or Sifr).

But, I agree, that orange borderlines in his icon set are bad idea and I sayed to Andreas about it.

CC: Andreas Kainz
Comment 6 Thomas Lendo 2018-10-01 19:36:51 UTC
Yellow/orange borders:
- Elementary
- Colibre
- Breeze

Light blue:
- Karasa Jaga

For me, the color lines should maybe a bit thicker but the color makes it looking more 'modern', not so old-fashioned. Maybe it's also a problem for color-impaired people.
Comment 7 Ron 2018-10-01 20:57:11 UTC
(In reply to Roman Kuznetsov from comment #5)
> Ron, you can just use another icon set (for example Karasa Jaga or Sifr).
> 
> But, I agree, that orange borderlines in his icon set are bad idea and I
> sayed to Andreas about it.
> 
> CC: Andreas Kainz

Ok thanks much. I was not aware of the option. I have changed to TANGO. Good for these old eyes
Comment 8 Ron 2018-10-01 20:59:53 UTC
(In reply to Thomas Lendo from comment #6)
> Yellow/orange borders:
> - Elementary
> - Colibre
> - Breeze
> 
> Light blue:
> - Karasa Jaga
> 
> For me, the color lines should maybe a bit thicker but the color makes it
> looking more 'modern', not so old-fashioned. Maybe it's also a problem for
> color-impaired people.

Thanks for your reply. I agree. But as you mentioned, it is a problem for my eyes. I am using Tango which solves my problem.
Comment 9 Heiko Tietze 2018-10-02 05:48:38 UTC
(In reply to Ron from comment #8)
> Thanks for your reply. I agree. But as you mentioned, it is a problem for my
> eyes. I am using Tango which solves my problem.

So let's close this ticket as WFM. And it is up to the icon designers to make their theme attractive and accessible.
Comment 10 andreas_k 2018-10-02 06:01:35 UTC
Thanks for the report. We dont get feedback that often, but we are happy to get feedback. As we are in the good Situation, that we have very active icon designers, l am sure to find a good solution. 

Tango is a nice icon theme, but there is no active development.
Comment 11 Commit Notification 2018-11-03 03:26:58 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/30ca9aea05d4667c5799ec4316f20daf3706f0c6%5E%21

elementary: ^mail merge, cell border color (related to tdf#120185),conditional format, table, sheet, etc"

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2018-12-04 15:08:56 UTC
A polite ping to Rizal Muttaqin:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks